Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455258 - Unable to connect to Wireless network with WAP security
Summary: Unable to connect to Wireless network with WAP security
Keywords:
Status: CLOSED DUPLICATE of bug 453390
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: i686
OS: Linux
high
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 14:24 UTC by Bill C. Riemers
Modified: 2008-07-14 17:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-14 14:32:39 UTC


Attachments (Terms of Use)

Description Bill C. Riemers 2008-07-14 14:24:25 UTC
It is pretty clear we are dealing with two different bugs.   As the problem
connecting via WEP seems independent of kernel version, while the problem with
connecting via WAP seems to only happen in the newest kernel.

+++ This bug was initially created as a clone of Bug #444847 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b5)
Gecko/2008032620 Firefox/3.0b5

Description of problem:
I installed fedora 9 RC - I have not been able to connect to my home wireless
network with WEP security on. I could connect with fedora 8 (and ubuntu 8.04) so
I know there is nothing wrong with network (and I can connect when I disable WEP
security) I am using 128 bit ascii passphase. I keep getting the "passphase
required" popup message. When I click on "show passphrase" it is some random
word that I never entered. So it appears as though network manager is not using
the password I supplied.
I am using BCM4306 - b43 

Version-Release number of selected component (if applicable):
2.6.25.8

How reproducible:
Always


Steps to Reproduce:
1.Select the WEP security enabled network
2.Choose 40/124 bit ascii as wireless security
3.Enter 13 charecter password

Actual Results:
the wireless network icon spins at the right hand corner of the screen and after
a couple of minutes, pops back the "passphrase required" dialog box

Expected Results:
It should have connected to wireless network

Additional info:
Used to work in fedora 8. WOrks fine in Ubutu 8.04. WOrks fine with WEP security
disabled. 
Followed instruction on http://fedoramobile.org/fc-wireless/bcm43xx-yum-extras

I have b43

-- Additional comment from fedora-triage-list@redhat.com on 2008-05-14 06:27 EST --
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

-- Additional comment from treyvan@wtfo-guru.com on 2008-05-22 19:18 EST --
I am experiencing these identical symptoms.

-- Additional comment from treyvan@wtfo-guru.com on 2008-05-22 19:23 EST --
Okay maybe the 3rd time is a charm. I went back one more time and entered my key
using 40/128 WEP/ASCII ( and clicked on view key to be sure ). It connected.

-- Additional comment from rphegde@gmail.com on 2008-05-24 17:34 EST --
I am still having the same problem. Is there any work around ?  

-- Additional comment from rphegde@gmail.com on 2008-05-25 01:57 EST --
I upgraded to most recent kernel and it now works !!

-- Additional comment from briemers@redhat.com on 2008-07-02 09:52 EST --
I am experiencing the same problem on my laptop.  The kernel version I am using
is kernel-2.6.25.6-55.fc9.i686.

I played around a bit, and it actually appears to be multiple problems.

First, there is no option to specify a 64 bit key.   Traditionally I have used
64 a 64 bit key, because it gives me faster throughput, and it is still good
enough to keep my non-technical neighbours from connecting to my network.   But
after failing to get my 64 bit key to work, I decided to try a 128 bit key.

I notice that if I enter an ascii key, it is converted to hex decimal, which
makes it impossible to check for typos or such, and this probably corrupts the
key if it is re-saved again.

After failing to connect with an ascii key, I tried using a hex key.   But again
no matter what I tried I could not connect.   When I went back in to "show key"
I found the hex key I entered was modified from an even to an odd number.   So
it looks like there is a single bit round-off error somewhere.



-- Additional comment from briemers@redhat.com on 2008-07-03 08:31 EST --
This is getting much worse.  I just updated to:
    kernel-2.6.25.9-76.fc9.i686
and I was not able to connect to WIFI with WAP security either.  I ended up
reverting back to:
    kernel-2.6.25.6-55.fc9.i686
So I can get some work done.   When I get a chance I will try various settings
and figure out if there is are settings I can use with the updated kernel over WIFI.

Bill


-- Additional comment from internetbummer@gmail.com on 2008-07-03 09:59 EST --
I am having a problem identical to Bill.  The upgrade to the kernel has broken
wireless.  I am seeing many errors like the following in /var/log/messages:

Jul  3 09:13:39 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 0 -> 2
Jul  3 09:13:43 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 2 -> 3
Jul  3 09:13:47 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 3 -> 4
Jul  3 09:13:49 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 4 -> 0
Jul  3 09:13:49 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 0 -> 2
Jul  3 09:13:53 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 2 -> 3
Jul  3 09:13:53 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 3 -> 4
Jul  3 09:13:53 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 4 -> 5
Jul  3 09:13:53 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 5 -> 6
Jul  3 09:13:53 E1103 NetworkManager: <info>  (wlan0): supplicant connection
state change: 6 -> 7


Rolling back to the previous kernel version fixes this bug, but that is
obviously not ideal.

The wireless network I am connecting to is a PEAP, Version 0, MSCHAPv2 using AD
credentials.  Works great with NetworkManager on kernel-2.6.25.6-55.fc9.x86_64,
just not the kernel-2.6.25.6-76.fc9.x86_64 kernel version.

-- Additional comment from internetbummer@gmail.com on 2008-07-03 15:38 EST --
Hardware field should be updated, since I can confirm this is also an issue with
the x86_64 OS.

-- Additional comment from hanwen@xs4all.nl on 2008-07-08 11:33 EST --
me too.

This started with a recent update install - running on 2.6.25.9-76.fc9.i686 with
WPA/PSK (sorry, I have no more precise release to pinpoint)

The connect fails, and the network manager dialog shows a 64 character hex
password that I never entered when trying to reconnect.

-- Additional comment from shenson@redhat.com on 2008-07-13 23:44 EST --
I've been hit by this bug as well.  Some information that I think might be
pertanent off the top of my head.

03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)

iwl3945               170980  0 
mac80211              222064  1 iwl3945
cfg80211               33936  2 iwl3945,mac80211

kernel-2.6.25.6-55.fc9.x86_64
kernel-2.6.25.9-76.fc9.x86_64

55 works, 76 does not.  I'm on a wpa personal protected ap.  I'm going to try to
use wpa supplicant to get it working.  I also can't connect to an open ap with
76, I've not tried with 55.

Comment 1 John W. Linville 2008-07-14 14:32:39 UTC

*** This bug has been marked as a duplicate of 453390 ***


Note You need to log in before you can comment on or make changes to this bug.